## less 0.1.0

=== DESCRIPTION ===
Package: less
Title: Learning with Subset Stacking
Version: 0.1.0
Authors@R: 
    c(person("Ilker", "Birbil", role = "aut", email = "s.i.birbil@uva.nl"),
    person("Burhan Ozer", "Cavdar", role = c("aut", "trl", "cre"), email = "bcavdar17@ku.edu.tr"))
Description: "Learning with Subset Stacking" is a supervised learning algorithm that is based on training many local estimators on subsets of a given dataset, and then passing their predictions to a global estimator. You can find the details about LESS in our manuscript at <arXiv:2112.06251>.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: caret, e1071, FNN, MLmetrics, pracma, R6, randomForest, RANN,
        rpart, wordspace
Depends: R (>= 2.10)
LazyData: true
NeedsCompilation: no
Packaged: 2022-09-27 10:19:15 UTC; ozerc
Author: Ilker Birbil [aut],
  Burhan Ozer Cavdar [aut, trl, cre]
Maintainer: Burhan Ozer Cavdar <bcavdar17@ku.edu.tr>
Repository: CRAN
Date/Publication: 2022-09-27 11:00:02 UTC

## less 321-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for less.

#### Start of system configuration section. ####

srcdir = .

CC = gcc
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

CFLAGS = -g -O
CFLAGS_COMPILE_ONLY = -c
LDFLAGS = 
O=o

LIBS =   -lncurses -lcurses -ltermcap

prefix = /usr
exec_prefix = ${prefix}

# Where the installed binary goes.
bindir = ${exec_prefix}/bin
binprefix = 

mandir = ${prefix}/man/man${manext}
manext = 1
manprefix = 

#### End of system configuration section. ####

SHELL = /bin/sh

# This rule allows us to supply the necessary -D options
# in addition to whatever the user asks for.
.c.o:
	${CC} -I. ${CFLAGS_COMPILE_ONLY} ${CPPFLAGS} ${CFLAGS} $<

OBJ =	main.${O} screen.${O} brac.${O} ch.${O} charset.${O} cmdbuf.${O} \
	command.${O} decode.${O} edit.${O} filename.${O} forwback.${O} \
	help.${O} ifile.${O} input.${O} jump.${O} line.${O} linenum.${O} \
	lsystem.${O} mark.${O} optfunc.${O} option.${O} opttbl.${O} os.${O} \
	output.${O} position.${O} prompt.${O} search.${O} signal.${O} \
	tags.${O} ttyin.${O} version.${O}  

all: less lesskey

less: ${OBJ}
	${CC} ${LDFLAGS} -o $@ ${OBJ} ${LIBS}

lesskey: lesskey.${O} version.${O}
	${CC} ${LDFLAGS} -o $@ lesskey.${O} version.${O}

${OBJ}: ${srcdir}/less.h ${srcdir}/funcs.h defines.h 

install: all ${srcdir}/less.hlp ${srcdir}/less.nro ${srcdir}/lesskey.nro installdirs
	${INSTALL_PROGRAM} less ${bindir}/${binprefix}less
	${INSTALL_PROGRAM} lesskey ${bindir}/${binprefix}lesskey
	${INSTALL_DATA} ${srcdir}/less.nro ${mandir}/${manprefix}less.${manext}
	${INSTALL_DATA} ${srcdir}/lesskey.nro ${mandir}/${manprefix}lesskey.${manext}

installdirs: mkinstalldirs
	${srcdir}/mkinstalldirs ${bindir} ${mandir}

uninstall:
	rm -f ${bindir}/${binprefix}less ${bindir}/${binprefix}lesskey
	rm -f ${mandir}/less.${manext} ${mandir}/lesskey.${manext}

info:
install-info:
dvi:
check:
installcheck:

TAGS:
	cd ${srcdir} && etags *.c *.h

# config.status might not change defines.h
# Don't rerun config.status if we just configured (so there's no stamp-h).
defines.h: stamp-h
stamp-h: defines.h.in config.status
	test ! -f stamp-h || CONFIG_FILES= CONFIG_HEADERS=defines.h ./config.status
	touch stamp-h
Makefile: ${srcdir}/Makefile.in config.status
	CONFIG_FILES=Makefile CONFIG_HEADERS= ./config.status
config.status: ${srcdir}/configure
	./config.status --recheck

${srcdir}/configure: ${srcdir}/configure.in
	cd ${srcdir}; autoheader; autoconf

clean:
	rm -f *.${O} core less lesskey

mostlyclean: clean

distclean: clean
	rm -f Makefile config.status config.log config.cache defines.h stamp-h

realclean: distclean
	rm -f TAGS

## less 418-1maemo2+0m5

=== debian/changelog ===
less (418-1maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:36:40 +0300

less (418-1maemo2) unstable; urgency=low

  * rebuilt with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Dec 2009 11:12:23 +0300

less (418-1maemo1) unstable; urgency=low

  * dependency to ncurses-base added and to debianutils removed
  * explicit build-dependency to libncurses5-dev added

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 17 Dec 2008 19:10:23 +0200

less (418-1) unstable; urgency=low

  * New upstream
  * Removed debian/patches/02-446894-csi.patch, merged upstream
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Jan 2008 21:24:23 +1100

less (416-2) unstable; urgency=medium

  * Fixed "-R option causes a crash by (at least) some Japanese contents".
    Patch by Colin Watson <cjwatson@debian.org>. Closes: #446894

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jan 2008 22:37:35 +1100

less (416-1) unstable; urgency=low

  * New upstream version. Closes: #453074
  * Bumped Standards-Version to 3.7.3
  * Moved homepage from description to pseudo header field in
    debian/control

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 23 Dec 2007 20:35:30 +1100

less (409-1) unstable; urgency=low

  * New upstream release.
  * 02-446274-segfaults-searching-dvb-scan-output.patch was merged upstream.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 21:05:34 +1000

less (408-2) unstable; urgency=low

  * Build-depends on quilt
  * Fixed "less segfault when searching dvb scan output", closes: #446274
    Patch by Mark Nudelman <markn@greenwoodsoftware.com>
  * Fixed "LESS_IS_MORE is broken", closes: #434417
    Patch by Jim Paris <jim@jtan.com>

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Oct 2007 07:32:35 +1000

less (408-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Oct 2007 07:38:52 +1000

less (406-0) unstable; urgency=low

  * New upstream release.
  * Fixed the following lintian messages:
    - W: less source: debian-rules-sets-DH_COMPAT line 11
    - W: less source: debian-rules-ignores-make-clean-error line 47

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 03 Jul 2007 22:21:33 +1000

less (394-4) unstable; urgency=low

  * New maintainer.
  * Set DH_COMPAT to 5.
  * Added ${misc:Depends} to dependency list.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Oct 2006 20:52:24 +1000

less (394-3) unstable; urgency=low

  * Print a message when catdoc or isoinfo are not installed.
    Closes: #358704: lesspipe: treat catdoc and isoinfo like other helper
    programs
  * debian/control: Updated Standards-Version to 3.7.2. No changes needed.

 -- Thomas Schoepf <schoepf@debian.org>  Tue, 18 Jul 2006 11:16:11 +0200

less (394-2) unstable; urgency=low

  * Closes: #350252: less does not show .ear files
  * debian/rules: switched to dh_installman from dh_installmanpages.
  * debian/watch: added watch file.
  * debian/lesspipe: support .7z archives.
    Closes: #347237: lesspipe: please add 7-Zip format support

 -- Thomas Schoepf <schoepf@debian.org>  Mon, 13 Mar 2006 11:07:24 +0100

less (394-1) unstable; urgency=low

  * New upstream version.
  * Closes: #297763: less: invokes nano as editor even though EDITOR
    and VISUAL not set
  * Closes: #338815: less: Missing prompt

 -- Thomas Schoepf <schoepf@debian.org>  Fri,  9 Dec 2005 23:36:49 +0100

less (393-1) unstable; urgency=low

  * New upstream version.
  * Closes: #333475: less no longer handles bold+underline overstriking
    correctly
  * Closes: #336864: manpages: problem with iconv manpage
  * Closes: #334771: history file is created world-readable
  * Closes: #336606: Formatting issue in the less.1 man page

 -- Thomas Schoepf <schoepf@debian.org>  Wed,  2 Nov 2005 21:33:38 +0100

less (392-1) unstable; urgency=low

  * New upstream version
  * Closes: #332671: early parts of overlong lines are missing when
    single-stepping through file
  * Closes: #333091: less -c displays garbage at the end of lines longer
    than terminal width when searching
  * Closes: #333140: line wrapping is buggy with less -c
  * Closes: #333783: less: Does not work properly line length > 80
  * Closes: #333920: less: very weird output
  * debian/control: Standards-Version: 3.6.2. No changes required.
  * debian/control: Build-Depends: debhelper (>= 4.0.0)
  * debian/rules: s/DH_COMPAT=2/DH_COMPAT=4/

 -- Thomas Schoepf <schoepf@debian.org>  Fri, 14 Oct 2005 23:05:23 +0200

less (391-1) unstable; urgency=low

  * New upstream version.
  * Closes: #180625: less: doesn't correctly display multibyte chars in search
    string
  * Closes: #180618: less: wrong - signs in utf-8
  * Closes: #226023: less: does not properly detect UTF-8 locales
  * Closes: #237427: Segfault when directory is deleted while in help screen
  * Closes: #249594: less: ignore-case in searches doesn't ignore case
  * Closes: #257068: less: add [] to DEF_METACHARS
  * Closes: #269993: less: search history across sessions would be nice
  * Closes: #314248: less: Search command does not accept UTF-8
    multibyte characters
  * Closes: #314249: less should filter non-printable (raw) characters
    of the filename

 -- Thomas Schoepf <schoepf@debian.org>  Wed,  5 Oct 2005 18:04:29 +0200

less (382-2) unstable; urgency=low

  * debian/lesspipe: refuse to create temporary files in case 'tempfile'
    is not installed, which does not happen on a sane Debian system.
    Closes: #272267: Critical TMPFILE/root exploit in lesspipe
  * debian/rules: Run configure with '--host' option on cross build.
    Closes: #285413: less: [PATCH] cross build

 -- Thomas Schoepf <schoepf@debian.org>  Mon, 13 Dec 2004 16:08:26 +0100

less (382-1) unstable; urgency=medium



=== debian/control ===
Source: less
Section: text
Priority: standard
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 5), libncurses5-dev, quilt (>= 0.40)
Standards-Version: 3.7.3
Homepage: http://www.greenwoodsoftware.com/less/

Package: less
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-base
Description: Pager program similar to more
 Less is a program similar to more(1), but which allows backward
 movement in the file as well as forward movement.  Also, less does not
 have to read the entire input file before starting, so with large input
 files it starts up faster than text editors like vi(1).  Less uses
 termcap (or terminfo on some systems), so it can run on a variety of
 terminals.  There is even limited support for hardcopy terminals.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.

DEB_BUILD_GNU_TYPE	= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS= --host=$(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g #-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: patch build-stamp
build-stamp:
	dh_testdir

	./configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=`pwd`/debian/`dh_listpackages`/usr/share/man \
		--with-editor=/usr/bin/editor $(CONFARGS)
	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/`dh_listpackages`/usr
	install -m 0755 debian/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lesspipe
	ln -s lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lessfile
	ln -s lesspipe.1.gz `pwd`/debian/`dh_listpackages`/usr/share/man/man1/lessfile.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installmime
	dh_installcron
	dh_installman debian/lesspipe.1
	#dh_undocumented
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## less 429-2maemo1

=== debian/changelog ===
less (429-2maemo1) extras; urgency=low

  *  Initial maemo upload

 -- Robin Nilsson <robinnilsson@gmail.com>  Wed, 10 Feb 2010 23:20:51 +0100

less (429-2) unstable; urgency=low

  * Drop 02-178276-empty_file_isnt_binary.patch; closes: #524779 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 Apr 2009 13:25:36 +1000

less (429-1) unstable; urgency=low

  * New upstream; closes: #523981
    - The characters $, =, %, and ~ are metacharacters; closes: #405001
  * Standards version is 3.8.1
  * debhelper compatibility is 7
  * Run dh_prep instead of dh_clean -k
  * Add debian/patches/02-178276-empty_file_isnt_binary.patch by Steve Kemp;
    closes: #178276, #187021
  * Update description; patch by Justin B Rye; closes: #432002
  * Improve processing of .doc files; patch by Steve Kemp; closes: #397191
  * Use tar --force-local; patch by Karl Chen; closes: #400686
  * Support lzma in lesspipe; patch by Daniel Scheple and s_lange;
    closes: #418943, #508951
  * Move less to /bin; closes: #500092

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Apr 2009 22:15:43 +1000

less (424-1) experimental; urgency=low

  * New upstream; closes: #487772
  * Standards version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Jun 2008 18:48:32 +1000

=== debian/control ===
Source: less
Section: text
Priority: standard
Maintainer: Robin Nilsson <robin.nilsson@gmail.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 5), libncurses-dev, quilt (>= 0.40)
Standards-Version: 3.8.1
Homepage: http://www.greenwoodsoftware.com/less/

Package: less
XSBC-Maemo-Display-Name: less
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
Description: pager program similar to more
 This package provides "less", a file pager (that is, a memory-efficient
 utility for displaying text one screenful at a time). Unlike the basic
 pager "more", it is capable of both backward and forward navigation
 through a file. As part of the GNU project, it is widely regarded as
 the standard pager on UNIX-derived systems.
 .
 Also provided are "lessecho", a simple utility for ensuring arguments
 with spaces are correctly quoted; "lesskey", a tool for modifying the
 standard (vi-like) keybindings; and "lesspipe", a filter for specific
 types of input, such as .doc or .txt.gz files.

=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,18 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	#dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install prefix=`pwd`/debian/`dh_listpackages`/usr
-	install -m 0755 debian/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lesspipe
-	ln -s lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lessfile
+	$(MAKE) install prefix=`pwd`/debian/`dh_listpackages`/
+	install -m 0755 debian/lesspipe `pwd`/debian/`dh_listpackages`/bin/lesspipe
+	ln -s lesspipe `pwd`/debian/`dh_listpackages`/bin/lessfile
+	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lessfile
+	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lesspipe
+	ln -s /bin/lesskey `pwd`/debian/`dh_listpackages`/usr/bin/lesskey
+	ln -s /bin/lessecho `pwd`/debian/`dh_listpackages`/usr/bin/lessecho
+	ln -s /bin/less `pwd`/debian/`dh_listpackages`/usr/bin/less
 	ln -s lesspipe.1.gz `pwd`/debian/`dh_listpackages`/usr/share/man/man1/lessfile.1.gz
 
 # Build architecture-independent files here.

## less 429-2maemo2

=== debian/changelog ===
less (429-2maemo2) fremantle; urgency=low

  *  Remove dependency to debianutils

 -- Robin Nilsson <robinnilsson@gmail.com>  Wed, 10 Feb 2010 23:20:51 +0100

less (429-2maemo1) fremantle; urgency=low

  *  Initial maemo upload

 -- Robin Nilsson <robinnilsson@gmail.com>  Wed, 10 Feb 2010 23:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 XSBC-Maemo-Display-Name: less
 Section: user/utilities
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: pager program similar to more
  This package provides "less", a file pager (that is, a memory-efficient
  utility for displaying text one screenful at a time). Unlike the basic

## less 444

=== debian/changelog ===
less (444-4ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Revert to gzip compression for the package's data tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 14:05:09 +0100

less (444-4) unstable; urgency=low

  * Fix typo with CFLAGS in debian/rules
    Patch by Simon Ruderich
    Closes: #676909

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 11 Jun 2012 00:07:28 +1000

less (444-3) unstable; urgency=low

  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Use hardening options

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 09 Jun 2012 20:36:51 +1000

less (444-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Revert to gzip compression for the package's data tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 14:18:37 +0100

less (444-2) unstable; urgency=low

  * More can also go backwards! 
    Add 02-655926-more_can_go_backwards.patch
    Closes: 655926
  * Add support for *.xz and *.tar.xz
    Patch by Darren Salt
    Closes: 572228

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 31 Jan 2012 14:43:42 +1100

less (444-1ubuntu1) oneiric; urgency=low

  * Revert to gzip compression for the package's data tarball.  Packages in
    the base system may not use bzip2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 21:21:54 +0100

less (444-1) unstable; urgency=low

  * New upstream
    These are the differences between version 443 and version 444:
    - Fix bug in unget handling that can cause strange effects on the
      command line.
    - Remove vestiges of obsolete -l option that can cause a crash.
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Jun 2011 22:20:38 +1000

less (443-1) unstable; urgency=low

  * New upstream. Upload to unstable
    Major changes between "less" versions 436 and 443
    - Change search behavior such that when a search is given an explicit 
      pattern, the entire displayed screen is included in the search and 
      not just the portion after the target line.
    - Add -A option to change search behavior to the old way: only
      the portion of the screen after the target line is searched.
    - Add %F formatting to prompt strings, replaced by the last component
      of the input file.
    - Control-G while editing a command exits the command.
    - Less now exits with status 2 if control-C is pressed and -K is in effect.
    - Fix "ungetc overflow" when passing long commands via the -p option.
    - Fix bug in using line filtering via the & command 
      in combination with -i and -I.
    - Fix bug in handling negative arguments to the -j option.
    - Fix bug in handling %t in prompt strings.
    - Improve handling of long option names.
    - Improve percentage calculation for very large files.
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 12:53:32 +1000

less (441-1) experimental; urgency=low

  * New upstream beta release
    These are the differences between version 436 and version 441:
    - Change search behavior such that when a search is given an explicit
      pattern, the entire displayed screen is included in the search and not
      just the portion after the target line.
    - Add -A option to change search behavior to the old way: only the portion
      of the screen after the target line is searched.
    - Add %F formatting to prompt strings, replaced by the last component of
      the input file.
    - Less now exits with status 2 if control-C is pressed and -K is in
      effect.
    - Fix "ungetc overflow" when passing long commands via the -p option.
    - Fix bug in using line filtering via the & command in combination with -i
      and -I.
    - Fix bug in handling negative arguments to the -j option.
    - Fix bug in handling %t in prompt strings.
    - Improve handling of long option names.
    - Improve percentage calculation for very large files. 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 10:11:38 +1100

less (440-2) experimental; urgency=low

  * Add support for ar in lesspipe
    Patch by arno.
    Closes: 399681
  * Add support for lzip in lesspipe
    Patch by Antonio Diaz Diaz
    Closes: 608485
  * Add 7zr as a fallback in case 7za is not found by lesspipe
    Patch by Tom Feiner
    Closes: 543332
  * Document support for *.7z files in lesspipe.1
    Closes: 543338
  * Use the -layout option for the *.pdf files in lesspipe
    Patch by Karl Chen
    Closes: 411775

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 18 Jan 2011 15:44:48 +1100

less (440-1) experimental; urgency=low

  * New upstream beta release
    These are the differences between version 436 and version 440:
    - Add -A option to change search behavior such that when a search is
      given an explicit pattern, the entire displayed screen is included
      in the search and not just the portion after the target line.
    - Add %F formatting to prompt strings, replaced by the last component
      of the input file.
    - Less now exits with status 2 if control-C is pressed and -K is in
      effect.
    - Fix "ungetc overflow" when passing long commands via the -p option.
    - Fix bug in using line filtering via the & command in combination with
      -i and -I.
    - Fix bug in handling negative arguments to the -j option.
    - Fix bug in handling %t in prompt strings.
    - Improve handling of long option names.
    - Improve percentage calculation for very large files. 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jan 2011 17:43:50 +1100

less (438-1) experimental; urgency=low

  * New upstream beta release
    These are the differences between version 436 and version 438:
    - Add %F formatting to prompt strings, replaced by the last component
      of the input file.


=== debian/control ===
Source: less
Section: text
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncurses-dev
Standards-Version: 3.9.3
Homepage: http://www.greenwoodsoftware.com/less/

Package: less
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
Description: pager program similar to more
 This package provides "less", a file pager (that is, a memory-efficient
 utility for displaying text one screenful at a time). Less has many
 more features than the basic pager "more". As part of the GNU project,
 it is widely regarded as the standard pager on UNIX-derived systems.
 .
 Also provided are "lessecho", a simple utility for ensuring arguments
 with spaces are correctly quoted; "lesskey", a tool for modifying the
 standard (vi-like) keybindings; and "lesspipe", a filter for specific
 types of input, such as .doc or .txt.gz files.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE	= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS= --host=$(DEB_HOST_GNU_TYPE)
endif

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g #-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir

	./configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=`pwd`/debian/`dh_listpackages`/usr/share/man \
		--with-editor=/usr/bin/editor $(CONFARGS)
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=`pwd`/debian/`dh_listpackages`/
	install -m 0755 debian/lesspipe `pwd`/debian/`dh_listpackages`/bin/lesspipe
	ln -s lesspipe `pwd`/debian/`dh_listpackages`/bin/lessfile
	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lessfile
	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lesspipe
	ln -s /bin/lesskey `pwd`/debian/`dh_listpackages`/usr/bin/lesskey
	ln -s /bin/lessecho `pwd`/debian/`dh_listpackages`/usr/bin/lessecho
	ln -s /bin/less `pwd`/debian/`dh_listpackages`/usr/bin/less
	ln -s lesspipe.1.gz `pwd`/debian/`dh_listpackages`/usr/share/man/man1/lessfile.1.gz

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installcron
	dh_installman debian/lesspipe.1
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## less 456

=== debian/changelog ===
less (456-1ubuntu1) raring; urgency=low

  * Add Multi-Arch: foreign meta-data to allow cross-dependencies
    (LP: #1081611).

 -- Wookey <wookey@wookware.org>  Thu, 22 Nov 2012 13:09:54 +0000

less (456-1) unstable; urgency=low

  * New upstream
    Upload to unstable
    Major differences between version 451 and version 456:
    - Allow backslash escaping of metacharacters in LESS environment variable.
    - Don't quit if syntax errors are found in command line options.
    - Increase sizes of some internal buffers.
    - Fix configure bug with --with-regex=none.
    - Fix crash with "stty rows 0".
  * Standards version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 12 Nov 2012 12:30:57 +1100

less (455-1) experimental; urgency=low

  * New upstream
    Major differences between version 451 and version 455:
    - Allow backslash escaping of metacharacters in LESS environment variable.
    - Don't quit if syntax errors are found in command line options.
    - Increase sizes of some internal buffers.
    - Fix configure bug with --with-regex=none.
    - Fix crash with "stty rows 0".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Nov 2012 09:35:11 +1100

less (451-1) unstable; urgency=low

  * New upstream
    Major changes between versions 444 and 451:
    - Add ESC-F command to keep reading data until a pattern is found.
    - Use exit code of LESSOPEN script if LESSOPEN starts with "||".
    - When up/down arrow is used on the command line immediately after
      typing text, the next command starting with that text is found.
    - Add support for GNU regex.
    - Add configure option --with-regex=none and fix compile errors
      when compiling with no regex library.
    - Fix possible crashes caused by malformed LESSOPEN or LESSCLOSE
      variables.
    - Fix bug highlighting text which is discontiguous in the file due
      to backspace processing.
    - Fix bug in displaying status column when scrolling backwards with
      -J and -S in effect. 
  * Merge 444-4ubuntu1
    - Revert to gzip compression for the package's data tarball.
  * Standards version is 3.9.4
  * Configure less with --with-regex=gnu
    Closes: #656694

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 15 Oct 2012 13:59:50 +1100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncurses-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.greenwoodsoftware.com/less/
 
 Package: less
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
+Multi-Arch: foreign
 Description: pager program similar to more
  This package provides "less", a file pager (that is, a memory-efficient
  utility for displaying text one screenful at a time). Less has many

## less 458

=== debian/changelog ===
less (458-2ubuntu0.1~esm1) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary command execution
    - debian/patches/CVE-2024-32487.patch: Fix bug when viewing a file
      whose name contains a newline.
    - CVE-2024-32487

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Sun, 28 Apr 2024 13:43:58 +0200

less (458-2) unstable; urgency=low

  * Merge 458-1ubuntu1 
    - debian/lesspipe{.1}: Make lesspipe treat ddebs the same as it does debs
      and udebs (LP: #1180013).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 09:52:36 +1000

less (458-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1180013). Remaining changes:
    - debian/lesspipe{.1}: Make lesspipe treat ddebs the same as it does debs
      and udebs.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 14 May 2013 21:32:29 -0400

less (458-1) unstable; urgency=low

  [ Anibal Monsalve Salazar ]
  * New upstream
    Major differences between version 451 and version 458:
    - Allow backslash escaping of metacharacters in LESS environment variable if
      the --use-backslash option is set.
    - Don't quit if syntax errors are found in command line options.
    - Increase sizes of some internal buffers.
    - Fix configure bug with --with-regex=none.
    - Fix crash with "stty rows 0".
    - Fix display bug when using up/down arrow on the command line. 
    Major differences between version 451 and version 457:
    - Allow backslash escaping of metacharacters in LESS environment variable if
      the --use-backslash option is set.
    - Don't quit if syntax errors are found in command line options.
    - Increase sizes of some internal buffers.
    - Fix configure bug with --with-regex=none.
    - Fix crash with "stty rows 0".
    Revert backslash handling in option string
    Closes: #695361 
  * lesspipe: handle *.txz files
    Patch by Tim Marston
    Closes: #691981, #691991

  [ Wookey ]
  * Add Multi-Arch:foreign meta-data to allow cross-dependencies
    Closes: #693318

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 11 May 2013 11:50:06 +1000

less (456-1ubuntu2) saucy; urgency=low

  * Make lesspipe treat ddebs the same as it does debs and udebs.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 May 2013 17:18:44 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: less
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
-Multi-Arch: foreign
+Multi-arch: foreign
 Description: pager program similar to more
  This package provides "less", a file pager (that is, a memory-efficient
  utility for displaying text one screenful at a time). Less has many

## less 481

=== debian/changelog ===
less (481-2.1ubuntu0.2) xenial; urgency=medium

  * debian/patches/lp-1562308-fix_mkutable.patch:
    - Fix east asian width problem (LP: #1562308)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sat, 25 Mar 2017 03:00:03 +0900

less (481-2.1ubuntu0.1) xenial; urgency=medium

  * debian/lesspipe: Fix typo that broke ddeb support (LP: #1606640)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Jul 2016 07:55:50 -0600

less (481-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reconcile multiple postinst scripts so that less registers a pager
    alternative again (closes: #812252).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Feb 2016 10:51:48 +0000

less (481-2) unstable; urgency=medium

  * Fix "files with the same name installed in / and /usr"
    Patch by Marco d'Itri
    Closes: #767928

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 11 Jan 2016 12:12:37 +0000

less (481-1) unstable; urgency=medium

  * New upstream
    Closes: #804025
  * These are the differences between version 458 and version 481:
    - Don't overwrite history file; just append to it. This behaves
      better when multiple sessions are running less simultaneously and
      using the same history file.
    - New command ESC-G goes to end of currently buffered data in a pipe.
    - Disable history feature when compiled with LESSHISTFILE set to "-".
    - In more-compatible mode, make the -p option apply to every file
      opened, not just the first one.
    - In more-compatible mode, change the -e option to work like -E,
      not -EF.
    - Treat multiple CRs before LF are like one CR (all the CRs are
      hidden).
    - Allow "extra" string in lesskey file to append to a multi-char
      command (like a search pattern), without executing the command.
    - Ignore -u/-U setting while viewing help file, so that underline
      and bold chars are displayed correctly.
    - Improve detection of "binary" files in UTF-8 mode.
    - Fix bug with ++ commands.
    - Fix bug where prompt was sometimes not displayed with +G.
    - Fix possible memory corruption
    - Fix bugs and improve performance in ampersand filtering.
    - Allow %% escape sequence in LESSOPEN variable.
    - Automate construction of Unicode tables from Unicode database.
  * debian/control: Standards-Version: 3.9.6
  * Remove debian/source/options
  * lesspipe: add support for OpenEmbedded .ipk files
    Patch by Yann Dirson
    Closes: #804024

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jan 2016 03:03:48 +0000

less (458-3) unstable; urgency=medium

  * debian/control:
    Priority: important
    Standards-Version: 3.9.5
  * debian/postinst: add (after adding the /bin/less alternative):
    update-alternatives --quiet --remove pager /usr/bin/less
    This change needs to get into one stable release.
    Patch by Andreas Beckmann.
    Closes: #694051.
  * debian/rules:
    export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Sep 2014 05:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: less
 Section: text
-Priority: standard
+Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncurses-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.greenwoodsoftware.com/less/
 
 Package: less

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CONFARGS= --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -34,6 +34,7 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=`pwd`/debian/`dh_listpackages`/usr/share/man \
+		--with-regex=gnu \
 		--with-editor=/usr/bin/editor $(CONFARGS)
 	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
@@ -55,11 +56,6 @@
 	$(MAKE) install prefix=`pwd`/debian/`dh_listpackages`/
 	install -m 0755 debian/lesspipe `pwd`/debian/`dh_listpackages`/bin/lesspipe
 	ln -s lesspipe `pwd`/debian/`dh_listpackages`/bin/lessfile
-	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lessfile
-	ln -s /bin/lesspipe `pwd`/debian/`dh_listpackages`/usr/bin/lesspipe
-	ln -s /bin/lesskey `pwd`/debian/`dh_listpackages`/usr/bin/lesskey
-	ln -s /bin/lessecho `pwd`/debian/`dh_listpackages`/usr/bin/lessecho
-	ln -s /bin/less `pwd`/debian/`dh_listpackages`/usr/bin/less
 	ln -s lesspipe.1.gz `pwd`/debian/`dh_listpackages`/usr/share/man/man1/lessfile.1.gz
 
 binary-indep: build install

=== debian/watch ===
version=3
http://www.greenwoodsoftware.com/less/download.html less-(.*)\.tar\.gz

## less 487

=== debian/changelog ===
less (487-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #848336, #843541.
  * Build depend on libncursesw5-dev.
  * debian/lesspipe:
    - Add snap support (Adam Collard).
    - Fix typo that broke ddeb support (Adam Conrad). Closes: #832121.
    - Add Support for .whl and .egg files (John T. Wodder). Closes: #862048.
  * debian/patches/lp-1562308-fix_mkutable.patch:
    - Fix east asian width problem (Mitsuya Shibata).
  * CVE-2014-9488 fixed upstream in 475. Closes: #780247.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Dec 2017 05:11:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: less
 Section: text
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncurses-dev
-Standards-Version: 3.9.6
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncursesw5-dev
+Standards-Version: 4.1.1
 Homepage: http://www.greenwoodsoftware.com/less/
 
 Package: less

## less 487.1

=== debian/changelog ===
less (487.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 87f256395222f6f4e0a251eeb0cc43521e92d2a4']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:01:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,23 +6,16 @@
 
 export DH_VERBOSE=1
 
-DEB_BUILD_GNU_TYPE	= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE	= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CONFARGS= --host=$(DEB_HOST_GNU_TYPE)
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-CFLAGS += -Wall -g #-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
 
 build-arch: build
 build-indep: build
@@ -36,7 +29,7 @@
 		--mandir=`pwd`/debian/`dh_listpackages`/usr/share/man \
 		--with-regex=gnu \
 		--with-editor=/usr/bin/editor $(CONFARGS)
-	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch build-stamp

## less 551

=== debian/changelog ===
less (551-1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Oct 2019 13:07:53 -0700

less (551-1) sid; urgency=low

  * many thanks to Anibal Monsalve Salazar for a decade worth of contributions
    to this package
  * new maintainer (closes: #925018)
  * new upstream release (closes: #925008, #892879, #178276, #473227, #922185,
    #839103, #626348, #330241, #914197, #707824)
    - don't count lines in initial screen if using -X with -F (closes: #906261)
    - update unicode tables to 2017-03-08 (closes: #597918, #881350)
    - mark truncated lines with a special character (closes: #547257)
  * set standards version to 4.4.0
  * set debhelper compatibility to 12
  * build depend on libncurses-dev
  * add VCS repository URLs
  * gbp import pristine-tar
  * move binaries back to /usr/bin (closes: #500092)
  * update less-is-more patch
  * update lesspipe man page (lp: #1839533)

 -- Milan Kupcevic <milan@debian.org>  Sat, 14 Sep 2019 22:28:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,21 @@
 Source: less
 Section: text
 Priority: important
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libncursesw5-dev
-Standards-Version: 4.1.1
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Milan Kupcevic <milan@debian.org>
+Build-Depends:
+ debhelper (>= 10),
+ libncurses-dev
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/debian/less.git
+Vcs-Browser: https://salsa.debian.org/debian/less
 Homepage: http://www.greenwoodsoftware.com/less/
 
 Package: less
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Multi-arch: foreign
 Description: pager program similar to more
  This package provides "less", a file pager (that is, a memory-efficient

## less 590

=== debian/changelog ===
less (590-2ubuntu2.1) noble-security; urgency=medium

  * SECURITY UPDATE: Arbitrary command execution
    - debian/patches/CVE-2024-32487.patch: Fix bug when viewing a file
      whose name contains a newline.
    - CVE-2024-32487

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Sun, 28 Apr 2024 13:44:40 +0200

less (590-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:12:27 +0000

less (590-2ubuntu1) noble; urgency=medium

  * SECURITY UPDATE: Unsafe call and Possibly arbitrary code execution
    - debian/patches/CVE-2022-48624.patch: add shell-quote
      the filename when invoking LESSCLOSE in filename.c.
    - CVE-2022-48624

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 20 Feb 2024 13:04:04 -0300

less (590-2) sid; urgency=medium

  * d/control: set standards version to 4.6.2
  * d/watch, d/upstream/signing-key.asc: check upstream release signature
  * d/tests/control: add autopkgtest
  * clarify CVE-2022-46663 patch upstream status

 -- Milan Kupcevic <milan@debian.org>  Sun, 12 Mar 2023 12:18:18 -0400

less (590-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * End OSC8 hyperlink on invalid embedded escape sequence (CVE-2022-46663)
    (Closes: #1030825)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Feb 2023 11:17:35 +0100

less (590-1.1) sid; urgency=medium

  * Non-maintainer upload
  * d/copyright: Convert to machine-readable format (closes: #1019289)

 -- Bastian Germann <bage@debian.org>  Wed, 21 Dec 2022 13:27:37 +0100

less (590-1) sid; urgency=low

  [ Milan Kupcevic ]
  * new upstream release (closes: #983599, #995984)
    - avoid spurious empty lines (closes: #763631)
    - remove erroneous free() (closes: #990035)
  * debian/lesspipe.1: list zstd related file types
  * debian/lesspipe: redo lessfilter handling
    (closes: #788438, #992354)(lp: #1915568)
  * debian/lesspipe: safeguard from possible improper delete
    (closes: #1002301)
  * refresh quilt patches
  * update copyright notice
  * set standards version to 4.6.0

  [ Adam Borowski ]
  * lesspipe: support zstd-compressed files (closes: #964930)

 -- Milan Kupcevic <milan@debian.org>  Thu, 30 Dec 2021 01:54:19 -0500

less (551-2) sid; urgency=medium

  * remove /bin/less pager alternative before upgrade
    (closes: #962590) (lp: #1874953)
  * debian/lesspipe: use mktemp instead of tempfile (closes: #961690)
  * do not install empty /bin/ directory
  * remove unsafe mime mailcap placeholder entry quotes
  * set standards version to 4.5.0

 -- Milan Kupcevic <milan@debian.org>  Sun, 05 Jul 2020 19:36:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: less
 Section: text
 Priority: important
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Milan Kupcevic <milan@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  libncurses-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/less.git
 Vcs-Browser: https://salsa.debian.org/debian/less
 Homepage: http://www.greenwoodsoftware.com/less/
@@ -16,7 +16,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Multi-arch: foreign
+Multi-Arch: foreign
 Description: pager program similar to more
  This package provides "less", a file pager (that is, a memory-efficient
  utility for displaying text one screenful at a time). Less has many

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-regex=gnu \
	  --with-editor=/usr/bin/editor

## less 643

=== debian/changelog ===
less (643-1) sid; urgency=medium

  * new upstream release (closes: #1069037)
    - CVE-2022-46663 fixed in v609, drop patch
    - CVE-2022-48624 fixed in v606, drop patch
    - check file named "-" on stdin input (closes: #901071)
    - integer overflow in cmd_int (closes: #977494)
    - ctrl-c does not work with -c option (closes: #931216)
    - at end of highlight, resend last 3 ansi sequences (closes: #1059967)
  * update copyright notice
  * d/watch: improve version matching
  * drop 02-655926-more_can_go_backwards.patch, reopen #655926, tag upstream
  * update CVE-2024-32487 patch upstream status
  * Fix-incorrect-display-when-filename-contains-control-chars.patch:
    new upstream patch. (closes: #1069681)
  * refresh quilt patches
  * override auto test target

 -- Milan Kupcevic <milan@debian.org>  Wed, 01 May 2024 00:29:44 -0400

less (590-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Shell-quote filenames when invoking LESSCLOSE (CVE-2022-48624)
    (Closes: #1064293)
  * Fix bug when viewing a file whose name contains a newline (CVE-2024-32487)
    (Closes: #1068938)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Apr 2024 15:09:49 +0200
